/// <reference types="react" />
import { ISelectMethod, ISelectPickerData } from "../props/ISelectPickerProps";
export interface IUseSelectPicker extends ISelectMethod {
    showSearch?: boolean;
    data: ISelectPickerData[] | Record<string, ISelectPickerData[]>;
    isSelect?: boolean;
    search?: string | undefined;
    setSearch?: (evt: any) => void;
    onSelect?: (value: string, item: any) => void;
    groupBy?: string;
    select?: ISelectPickerData;
    block?: boolean;
}
export declare const ContextSelectPicker: import("react").Context<IUseSelectPicker>;
export declare const useSelectPicker: () => IUseSelectPicker;
