/// <reference types="react" />
import { ITagPickerData } from "../props/ITagPickerMenuItemsProps";
import { ITagData } from "../props/ITagsProps";
import { TSize } from "../types";
export interface IUseTagPicker {
    name?: string;
    size?: TSize;
    data?: ITagPickerData[];
    tags?: ITagData[];
    tagPicker?: boolean;
    selectTags?: string[];
    block?: boolean;
    onChange?: (value: boolean, item: ITagPickerData) => void;
}
export declare const ContextTagPicker: import("react").Context<IUseTagPicker>;
export declare const useTagPicker: () => IUseTagPicker;
