/// <reference types="react" />
import { IProps } from "../../interfaces";
export declare const LEFT_PAGE = "LEFT";
export declare const RIGHT_PAGE = "RIGHT";
export interface IPagination extends IProps {
    totalRecords: number;
    pageLimit?: number;
    pageNeighbours?: number;
    onPageChanged?: (e: any, page: number) => void;
    currentPage?: number;
    initial?: boolean;
}
export declare const Pagination: (props: IPagination) => JSX.Element;
