import { SyntheticEvent } from "react";
import { TNavAppearance } from "../types/TNavAppearance";
export interface IUseNav {
    navbar?: boolean;
    reversed?: boolean;
    vertical?: boolean;
    appearance?: TNavAppearance;
    activeKey?: any;
    onSelect?: (eventKey: any, event: SyntheticEvent<any>) => void;
}
export declare const ContextNav: import("react").Context<IUseNav>;
export declare const useNav: () => IUseNav;
